module NumberHelper

def is_number_local?(number)
	
	@pstn_blocks = PstnBlock.find(:all) if not @pstn_blocks

 
	if @pstn_blocks 	
		@pstn_blocks.each do |block| 
			if block.start <= number and block.end >= number then return true end
		end
	end
	
	return false

end

def is_number_sip?(number)

	@voip_accounts = VoipAccount.find(:all) if not @voip_accounts

	if @voip_accounts then
	
		@voip_accounts.each do |account|
			if account.username == number then 
				return true
			end
		end
		
		return false
	
	end

end

def is_number_external?(number)
	
	return true unless is_number_sip?(number) or is_number_local?(number)
	return false

end

def sip_to_pstn(uri)

	return uri.gsub(/sip:/, '').gsub(/@.+/, '')

end

def name_from_number(number)
	if not is_number_sip?(number) then 
		return nil 
	else 
		return VoipAccount.find_by_username(number).full_name 
	end


end

end

