
--USE whatever database you want to create your stuff here

CREATE TABLE voip_voicemail_accounts (
id INT NOT NULL AUTO_INCREMENT PRIMARY KEY,
voip_account_id VARCHAR(32) NOT NULL,
attach BOOL DEFAULT TRUE
);

CREATE TABLE voip_groups (
id INT NOT NULL AUTO_INCREMENT PRIMARY KEY,
name VARCHAR(32) NOT NULL UNIQUE,
description VARCHAR(256)
);

CREATE TABLE pstn_blocks (
id INT NOT NULL AUTO_INCREMENT PRIMARY KEY,
name varchar(50) NOT NULL default '',
start varchar(20) NOT NULL default '',
end varchar(20) NOT NULL default ''
);

CREATE TABLE users (
id int(11) NOT NULL auto_increment,
login varchar(80) default NULL,
password varchar(40) default NULL,
PRIMARY KEY  (id)
);

CREATE TABLE usr_preferences_types (
  att_name varchar(32) NOT NULL default '',
  att_rich_type varchar(32) NOT NULL default 'string',
  att_raw_type int NOT NULL default '2',
  att_type_spec text,
  default_value varchar(100) NOT NULL default '',
  PRIMARY KEY  (att_name)
);

-- OpenSER modifiers --

-- Use only if wanting to drop serbweb/openserctl support
--ALTER TABLE subscriber DROP phplib_id;
--To add again, use: ALTER TABLE subscriber ADD COLUMN  phplib_id varchar(32) NOT NULL default '' FIRST;d

ALTER TABLE subscriber ADD id INT NOT NULL AUTO_INCREMENT UNIQUE KEY FIRST;
ALTER TABLE subscriber ADD vmail_password VARCHAR(40) DEFAULT NULL;
ALTER TABLE subscriber ADD vmail TINYINT(1) NOT NULL DEFAULT 0;
ALTER TABLE grp ADD id INT NOT NULL AUTO_INCREMENT UNIQUE KEY FIRST; 
ALTER TABLE location ADD id INT NOT NULL AUTO_INCREMENT UNIQUE KEY FIRST; 
ALTER TABLE usr_preferences ADD id INT NOT NULL AUTO_INCREMENT UNIQUE KEY FIRST;
ALTER TABLE usr_preferences DROP COLUMN uuid;
ALTER TABLE usr_preferences_types ADD id INT NOT NULL AUTO_INCREMENT UNIQUE KEY FIRST;
ALTER TABLE usr_preferences_types CHANGE COLUMN att_raw_type att_raw_type INT(11) NOT NULL DEFAULT 0;
ALTER TABLE usr_preferences_types ADD COLUMN description varchar(48) NOT NULL AFTER att_name;
INSERT INTO users SET login="openser", password="0dd62bae0b6b4d8e0388c620134decb8405b6976";

CREATE VIEW usr_preferences_view AS SELECT id, username, domain, attribute, type AS att_type, value, modified FROM usr_preferences;
