class VoipAccount < ActiveRecord::Base

set_table_name "subscriber"
belongs_to :voip_domain, :foreign_key => "domain"

validates_presence_of :username
#Won't seem to accept nils still, I don't know why
#validates_numericality_of :vmail_password, :allow_nil => true

def before_save
	self.ha1 = Digest::MD5.hexdigest(self.username + ':' + self.domain + ':' + self.password)
	self.ha1b = Digest::MD5.hexdigest(self.username + '@' + self.domain + ':' + self.domain + ':' + self.password)
	self.datetime_modified = Time.now
end

def before_create
	self.datetime_created = Time.now

	#This block was put here because version 0.2 dropped the phplib_id column, and it may be dropped again in the future
	begin
		self.phplib_id = Digest::MD5.hexdigest(self.username + self.domain + ':' + self.password + ':' + Time.now.to_s)
	rescue

	end
end

def before_update

		if self.phplib_id == '' then
			self.phplib_id = Digest::MD5.hexdigest(self.username + self.domain + ':' + self.password + ':' + Time.now.to_s)
		end
	
end

def full_name
	return self.first_name + ' ' + self.last_name
end


def name_and_number
	return self.full_name + ' - ' + self.username
end

end
