class VoipAccountStatus < ActiveRecord::Base

def self.columns() @columns ||= []; end
def self.column(name, sql_type = nil, default = nil, null = true)
    columns << ActiveRecord::ConnectionAdapters::Column.new(name.to_s, default, sql_type.to_s, null)
end


def get_voip_account_status
	return VoipAccountStatus.find_by_sql(
			'SELECT
				subscriber.id as id,
				subscriber.username as username,
				subscriber.domain as domain, 
				location.contact sip_address,
				subscriber.first_name as first_name,
				subscriber.last_name as last_name,
				subscriber.rpid as rpid
			FROM subscriber
			LEFT JOIN location ON subscriber.username=location.username
			ORDER BY subscriber.username ASC')
end

end
